Bug 8581 - Authority display doesn't like GND records
Summary: Authority display doesn't like GND records
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Keywords:
Depends on: 3462
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 17:49 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8581: don't display parentheses when we don't have a type (1.96 KB, patch)
2012-08-06 18:03 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8581: don't display parentheses when we don't have a type (1.97 KB, patch)
2012-08-06 21:29 UTC, Chris Cormack
Details | Diff | Splinter Review
[3.8.x] Bug 8581: don't display parentheses when we don't have a type (6.26 KB, patch)
2012-10-02 12:46 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-08-06 17:49:11 UTC

    
Comment 1 Jared Camins-Esakov 2012-08-06 18:03:34 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-08-06 21:29:41 UTC Comment hidden (obsolete)
Comment 3 Mason James 2012-08-10 08:12:10 UTC
(In reply to comment #2)
> Created attachment 11395 [details] [review]
> Bug 8581: don't display parentheses when we don't have a type
>
> Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

patch looks good, passing QA

*NOTE: PATCH MUST BE APPLIED AFTER 3462*



mason@xen1:~/git/head$ git bz apply 3462
Bug 3462 - Link see alsos in authorities

Bug 3462: Links in authorities should be hyperlinks
Apply? [yn] y

Applying: Bug 3462: Links in authorities should be hyperlinks
mason@xen1:~/git/head$ git bz apply 8581
Bug 8581 - Authority display doesn't like GND records

Bug 8581: don't display parentheses when we don't have a type
Apply? [yn] y

Applying: Bug 8581: don't display parentheses when we don't have a type
mason@xen1:~/git/head$ 
mason@xen1:~/git/head$ koha-qa.pl        * 645650a Bug 8581: don't display parentheses when we don't have a type
                koha-tmpl/intranet-tmpl/prog/en/includes/authorities-search-results.inc
                koha-tmpl/opac-tmpl/prog/en/includes/authorities-search-results.inc

- perlcritic-progressive tests... OK
- perl -c syntax tests... OK
- xt/tt_valid.t tests... OK
- xt/author/valid-template.t tests... OK
mason@xen1:~/git/head$
Comment 4 Paul Poulain 2012-08-31 16:00:10 UTC
Pushed to stable
Comment 5 Paul Poulain 2012-08-31 16:03:28 UTC
sorry, save hit too fast... The patch does not apply.

Looking at koha-tmpl/intranet-tmpl/prog/en/includes/authorities-search-results.inc
I see that the patch says:
-        [% CASE %]([% type | html %])
+        [% CASE %][% IF type %]([% type | html %])[% END %]

and I have:
        [% CASE %]([% type %])
(not type|html)

WTF ?
Comment 6 Katrin Fischer 2012-09-27 07:43:31 UTC
Hi Jared, 
can you take a look at this please?
Comment 7 Jared Camins-Esakov 2012-09-27 12:32:54 UTC
Setting back to "Passed QA" as the patch applies fine on current master.
Comment 8 Paul Poulain 2012-10-01 14:35:09 UTC
Patch pushed to master
Comment 9 Chris Cormack 2012-10-01 20:26:39 UTC
Could you please rebase this for 3.8.x
Comment 10 Jared Camins-Esakov 2012-10-02 12:46:12 UTC
Created attachment 12630 [details] [review]
[3.8.x] Bug 8581: don't display parentheses when we don't have a type

Prior to this patch, see also references in certain authority records
(most notably GND records) were being followed by empty parentheses in
the search results display. This patch resolves that problem.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 11 Jared Camins-Esakov 2012-10-02 12:48:26 UTC
Patch rebased for 3.8.x attached.
Comment 12 Chris Cormack 2012-10-03 19:02:57 UTC
Pushed to 3.8.x, will be in 3.8.6
Comment 13 Jared Camins-Esakov 2012-12-03 13:16:36 UTC
This has been fixed in Master.